# EMU Body Manager fault definitions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: BodyManager
source_enum: kEmuBodyManager
namespace: zoox
can_messages:
  - status_msg: EMU_bodyAlertStatus
    log_msg: EMU_bodyAlertLog
can_import: firmware/common/can/generated/vh6/emu.h
can_namespace: vh6
faults:
  - id: 0
    name: CeliNorthStale
    severity: WARNING
    description: North CELI status stale.
    troubleshooting_steps: Verify north CELI installed and connected.
  - id: 1
    name: CeliNorthFault
    severity: WARNING
    description: North CELI reports a fault status.
    troubleshooting_steps: Check north CELI alert diagnostics for more details.
  - id: 2
    name: CeliSouthStale
    severity: WARNING
    description: South CELI status stale.
    troubleshooting_steps: Verify south CELI installed and connected.
  - id: 3
    name: CeliSouthFault
    severity: WARNING
    description: South CELI reports a fault status.
    troubleshooting_steps: Check south CELI alert diagnostics for more details.
  - id: 4
    name: DcuWestStale
    severity: WARNING
    description: West DCU status stale.
    troubleshooting_steps: Verify west DCU installed and connected.
  - id: 5
    name: DcuWestFault
    severity: WARNING
    description: West DCU reports a fault status.
    troubleshooting_steps: Check west DCU alert diagnostics for more details.
  - id: 6
    name: DcuWestUncalibrated
    severity: WARNING
    description: West DCU reports uncalibrated.
    troubleshooting_steps: Request baseops support to calibrate DCU.
  - id: 7
    name: DcuWestInServiceMode
    severity: WARNING
    description: West DCU reports it is in service mode.
    troubleshooting_steps: Request baseops support to exit DCU serivce mode or power cycle vehicle.
  - id: 8
    name: DcuEastStale
    severity: WARNING
    description: East DCU status stale on both buses (BDY1 and BDY2).
    troubleshooting_steps: Verify east DCU installed and connected.
  - id: 9
    name: DcuEastFault
    severity: WARNING
    description: East DCU reports a fault status.
    troubleshooting_steps: Check east DCU alert diagnostics for more details.
  - id: 10
    name: DcuEastUncalibrated
    severity: WARNING
    description: East DCU reports uncalibrated.
    troubleshooting_steps: Request baseops support to calibrate DCU.
  - id: 11
    name: DcuEastInServiceMode
    severity: WARNING
    description: East DCU reports it is in service mode.
    troubleshooting_steps: Request baseops support to exit DCU serivce mode or power cycle vehicle.
  - id: 12
    name: DimWestStale
    severity: WARNING
    description: West DIM status stale.
    troubleshooting_steps: Verify west DIM installed and connected.
  - id: 13
    name: DimWestFault
    severity: WARNING
    description: West DIM reports a fault status.
    troubleshooting_steps: Check west DIM alert diagnostics for more details.
  - id: 14
    name: DimEastStale
    severity: WARNING
    description: East DIM status stale on both buses (BDY1 and BDY2).
    troubleshooting_steps: Verify east DIM installed and connected.
  - id: 15
    name: DimEastFault
    severity: WARNING
    description: East DIM reports a fault status.
    troubleshooting_steps: Check west DIM alert diagnostics for more details.
  - id: 16
    name: OcsStale
    severity: WARNING
    description: EMU COM not reciving OCS messages from EMU MON.
    troubleshooting_steps: Verify EMU mon is up to date, replace EMU.
  - id: 17
    name: OcsNwFault
    severity: WARNING
    description: Northwest OCS reports a fault status.
    troubleshooting_steps: Verify NW seat sensor is connected and functional.
  - id: 18
    name: OcsNeFault
    severity: WARNING
    description: Northeast OCS reports a fault status.
    troubleshooting_steps: Verify NE seat sensor is connected and functional.
  - id: 19
    name: OcsSwFault
    severity: WARNING
    description: Southwest OCS reports a fault status.
    troubleshooting_steps: Verify SW seat sensor is connected and functional.
  - id: 20
    name: OcsSeFault
    severity: WARNING
    description: Southeast OCS reports a fault status.
    troubleshooting_steps: Verify SE seat sensor is connected and functional.
  - id: 21
    name: TbcBodyStale
    severity: WARNING
    description: TBC Body interface status stale.
    troubleshooting_steps: Verify TBC is installed and connected.
  - id: 22
    name: TbcBodyLightingFault
    severity: WARNING
    description: TBC reports that the lighting system has a fault.
    troubleshooting_steps: Verify TBC lighting is installed and connected. Look at alert diagnostics for more details.
  - id: 23
    name: TbcThermalStale
    severity: ERROR
    description: TBC Thermal interface status stale.
    troubleshooting_steps: Verify TBC is installed and connected.
    reaction:
      trajectory: NoGo
  - id: 24
    name: TbcThermalNorthFault
    severity: INFO
    description: TBC reports north thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components are installed and connected. Look at TBC diagnostics for more details.
    # Deprecated breaks FaultCollectorWithCan, remove comment once FW-16055 completed
    #deprecated: true
  - id: 25
    name: TbcThermalSouthFault
    severity: INFO
    description: TBC reports south thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components are installed and connected. Look at TBC diagnostics for more details.
    # Deprecated breaks FaultCollectorWithCan, remove comment once FW-16055 completed
    #deprecated: true
  - id: 26
    name: TbcThermalComputeFault
    severity: INFO
    description: TBC reports compute thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components are installed and connected. Look at TBC diagnostics for more details.
    # Deprecated breaks FaultCollectorWithCan, remove comment once FW-16055 completed
    #deprecated: true
  - id: 27
    name: LuxNorthStale
    severity: WARNING
    description: LUX north status stale.
    troubleshooting_steps: Verify north LUX is installed and connected.
  - id: 28
    name: LuxNorthLegalFault
    severity: WARNING
    description: Deprecated field as this control has moved to Drive manager; LUX reports a fault with north legal lighting.
    troubleshooting_steps: Verify LUX north legal components are installed and connected. Look at alert diagnostics for more details.
    # Deprecated breaks FaultCollectorWithCan, remove comment once FW-16055 completed
    #deprecated: true
  - id: 29
    name: LuxNorthNonLegalFault
    severity: WARNING
    description: LUX reports a fault with north non legal lighting.
    troubleshooting_steps: Verify LUX north non legal components are installed and connected. Look at alert diagnostics for more details.
  - id: 30
    name: LuxSouthStale
    severity: WARNING
    description: LUX south status stale.
    troubleshooting_steps: Verify south LUX is installed and connected.
  - id: 31
    name: LuxSouthLegalFault
    severity: WARNING
    description: Deprecated field as this control has moved to Drive manager; LUX reports a fault with south legal lighting.
    troubleshooting_steps: Verify LUX south legal components are installed and connected. Look at alert diagnostics for more details.
    # Deprecated breaks FaultCollectorWithCan, remove comment once FW-16055 completed
    #deprecated: true
  - id: 32
    name: LuxSouthNonLegalFault
    severity: WARNING
    description: LUX reports a fault with south non legal lighting.
    troubleshooting_steps: Verify LUX south non legal components are installed and connected. Look at alert diagnostics for more details.
  - id: 33
    name: VoxNorthStale
    severity: WARNING
    description: North VOX status stale.
    troubleshooting_steps: Verify north VOX is installed and connected.
  - id: 34
    name: VoxNorthFault
    severity: WARNING
    description: North VOX reports a fault status.
    troubleshooting_steps: Check north VOX alert diagnostics for more details.
  - id: 35
    name: VoxSouthStale
    severity: WARNING
    description: South VOX status stale.
    troubleshooting_steps: Verify south VOX is installed and connected.
  - id: 36
    name: VoxSouthFault
    severity: WARNING
    description: South VOX reports a fault status.
    troubleshooting_steps: Check south VOX alert diagnostics for more details.
  - id: 37
    name: DriveManagerStale
    severity: WARNING
    description: Drive manager status stale.
    troubleshooting_steps: Reboot the EMU.
  - id: 38
    name: PowerManagerStale
    severity: WARNING
    description: Power manager status stale.
    troubleshooting_steps: Reboot the EMU.
  - id: 39
    name: RobotMonitorStale
    severity: WARNING
    description: Robot monitor output stale.
    troubleshooting_steps: Reboot the EMU.
  - id: 40
    name: TbcThermalNorthBatteryWarning
    severity: WARNING
    description: TBC reports north battery and compute coolant loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of battery and compute coolant loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 41
    name: TbcThermalNorthPowertrainWarning
    severity: WARNING
    description: TBC reports north powertrain coolant loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of powertrain coolant loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 42
    name: TbcThermalNorthRefrigerationWarning
    severity: WARNING
    description: TBC reports north refrigeration loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of refrigeration loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 43
    name: TbcThermalNorthHvacWarning
    severity: WARNING
    description: TBC reports north HVAC loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of HVAC loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 44
    name: TbcThermalSouthBatteryWarning
    severity: WARNING
    description: TBC reports south battery and compute coolant loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of battery and compute coolant loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 45
    name: TbcThermalSouthPowertrainWarning
    severity: WARNING
    description: TBC reports south powertrain coolant loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of powertrain coolant loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 46
    name: TbcThermalSouthRefrigerationWarning
    severity: WARNING
    description: TBC reports south refrigeration loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of refrigeration loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 47
    name: TbcThermalSouthHvacWarning
    severity: WARNING
    description: TBC reports south HVAC loop of the thermal system is degraded
    troubleshooting_steps: Verify TBC thermal components of HVAC loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 48
    name: TbcThermalNorthBatteryFault
    severity: ERROR
    description: TBC reports north battery and compute coolant loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of battery and compute coolant loop are installed and connected. Look at TBC diagnostics for more details.
    reaction:
      trajectory: NoGo
  - id: 49
    name: TbcThermalNorthPowertrainFault
    severity: ERROR
    description: TBC reports north powertrain coolant loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of powertrain coolant loop are installed and connected. Look at TBC diagnostics for more details.
    reaction:
      trajectory: NoGo
  - id: 50
    name: TbcThermalNorthRefrigerationFault
    severity: ERROR
    description: TBC reports north refrigeration loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of refrigeration loop are installed and connected. Look at TBC diagnostics for more details.
    reaction:
      trajectory: NoGo
  - id: 51
    name: TbcThermalNorthHvacFault
    severity: WARNING
    description: TBC reports north HVAC loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of HVAC loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 52
    name: TbcThermalSouthBatteryFault
    severity: ERROR
    description: TBC reports south battery and compute coolant loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of battery and compute coolant loop are installed and connected. Look at TBC diagnostics for more details.
    reaction:
      trajectory: NoGo
  - id: 53
    name: TbcThermalSouthPowertrainFault
    severity: ERROR
    description: TBC reports south powertrain coolant loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of powertrain coolant loop are installed and connected. Look at TBC diagnostics for more details.
    reaction:
      trajectory: NoGo
  - id: 54
    name: TbcThermalSouthRefrigerationFault
    severity: ERROR
    description: TBC reports south refrigeration loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of refrigeration loop are installed and connected. Look at TBC diagnostics for more details.
    reaction:
      trajectory: NoGo
  - id: 55
    name: TbcThermalSouthHvacFault
    severity: WARNING
    description: TBC reports south HVAC loop of the thermal system is faulted
    troubleshooting_steps: Verify TBC thermal components of HVAC loop are installed and connected. Look at TBC diagnostics for more details.
  - id: 56
    name: DoorPhaseFaultedIngressEgress
    severity: ERROR
    description: Ingress Egress Monitor faulted on EMU-COM Body Manager for the DCU commanded phase vs actual door phase status.
    troubleshooting_steps: Check that the Doors are opening and closing as commanded without any obstruction. Collect logs and notify FW to see if anything other than EMU is commanding the doors.
    reaction:
      trajectory: NoGo
  - id: 57
    name: UnsafeDoorStatusIngressEgress
    severity: ERROR
    description: Ingress Egress Monitor faulted on EMU-COM Body Manager for the Door Status not closed when vehicle is moving.
    troubleshooting_steps: Check that the Doors are opening and closing as commanded without any obstruction. Collect logs and notify FW to see if anything other than EMU is commanding the doors.
    reaction:
      trajectory: NoGo
  - id: 58
    name: TbcBrakeFluidFault
    severity: ERROR
    description: Thermal Body Controller is reporting low brake fluid levels.
    troubleshooting_steps: Refill the brake fluid.
    reaction:
      trajectory: Estop
  - id: 59
    name: DimEastPrimaryBusStale
    severity: WARNING
    description: East DIM status stale on Primary Bus (BDY2).
    troubleshooting_steps: Verify BMU is functional and gatewaying EMU_BDY2 to BDY2.
  - id: 60
    name: DimEastSecondaryBusStale
    severity: WARNING
    description: East DIM status stale on Secondary Bus (BDY1).
    troubleshooting_steps: Verify TBC is functional and gatewaying BDY2 to BDY1.
  - id: 61
    name: DcuEastPrimaryBusStale
    severity: WARNING
    description: East DCU status stale on primary bus (BDY2).
    troubleshooting_steps: Verify BMU is functional and gatewaying EMU_BDY2 to BDY2.
  - id: 62
    name: DcuEastSecondaryBusStale
    severity: WARNING
    description: East DCU status stale on secondary bus (BDY1).
    troubleshooting_steps: Verify TBC is functional and gatewaying BDY2 to BDY1.
  - id: 63
    name: HmiFallbackActive
    severity: WARNING
    description: RSM heartbeat not found. EMU performing fallback HMI actions.
    troubleshooting_steps: Confirm Rider State Machine and related components running on PCU.
